#include <iostream>
#include <bits/stdc++.h>
using namespace std;

int main()
{
    long long int N;
        cin>> N;
    long long int niz[N];
    int i;
    int c;
    int b;
    int x;
    int y;
    for(i=0; i<N; i++)
    {
        cin >> niz[i];
    }
    if (N==2)
    {
        c=niz[1];
        niz[1]=niz[0];
        niz[0]=c;
    }
    for (i=0; i<N; i++)
    {
        if(niz[i]>niz[i+1])
        {
            y++;

        }
        else if(niz[i]<niz[i+1])
        {
            x++;

        }
        else if(niz[i]==niz[i+1])
        {
            b++;
        }
    }
    if(b==N)
    {
        c=niz[1];
        niz[1]=niz[0];
        niz[0]=c;
    }
    else if((b+x)==N)
    {
        for (i=0; i<N; i++)
        {
            if(niz[i]==niz[i+1])
            {
                c=niz[i];
                niz[i]=niz[i+1];
                niz[i+1]=c;
                break;
            }

        }
    }
    else if((b+y)==N)
    {
        for (i=0; i<N; i++)
        {
            if(niz[i]==niz[i+1])
            {
                c=niz[i];
                niz[i]=niz[i+1];
                niz[i+1]=c;
                break;
            }

        }
    }

    else if ((b+y)!=N){
        for(i=0;i<N;i++){
            if(niz[i]<niz[i+1]){
                c=niz[i];
                niz[i]=niz[i+1];
                niz[i+1]=c;
                break;
            }
        }
    }
    else if ((b+x)!=N){
        for(i=0;i<N;i++){
            if(niz[i]>niz[i+1]){
                c=niz[i];
                niz[i]=niz[i+1];
                niz[i+1]=c;
                break;
            }
        }
    }
    for (i=0;i<N;i++){
            cout << niz[i];
            cout << " ";
    }
    return 0;
}